Loading...
Searching...
No Matches
RootNode< ChildT >::ChildIterator Class Reference

`#include <nanovdb/NanoVDB.h>`

## Public Member Functions

| ChildIterator ()
| ChildIterator (const RootNode *parent)
ChildIterator & | operator= (const ChildIterator &)=default
const ChildT & | operator* () const
const ChildT * | operator-> () const
CoordType | getOrigin () const
| operator bool () const
uint32_t | pos () const
ChildIterator & | operator++ ()
ChildIterator | operator++ (int)

## Constructor & Destructor Documentation

## ChildIterator() [1/2]

template<typename ChildT>

ChildIterator | ( |  | ) |

inline

## ChildIterator() [2/2]

template<typename ChildT>

ChildIterator | ( | const RootNode * | parent | ) |

inline

## Member Function Documentation

## getOrigin()

template<typename ChildT>

CoordType getOrigin | ( |  | ) | const

inline

## operator bool()

template<typename ChildT>

operator bool | ( |  | ) | const

inline

## operator*()

template<typename ChildT>

const ChildT & operator* | ( |  | ) | const

inline

## operator++() [1/2]

template<typename ChildT>

ChildIterator & operator++ | ( |  | ) |

inline

## operator++() [2/2]

template<typename ChildT>

ChildIterator operator++ | ( | int |  | ) |

inline

## operator->()

template<typename ChildT>

const ChildT * operator-> | ( |  | ) | const

inline

## operator=()

template<typename ChildT>

ChildIterator & operator= | ( | const ChildIterator & |  | ) |

default

## pos()

template<typename ChildT>

uint32_t pos | ( |  | ) | const

inline